rdoc 6.0.0 → 6.0.1

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA256:
3
- metadata.gz: 9a40fd44bccb342e776c62d4672a434998754bed46e3c3f74761270dfdf433e8
4
- data.tar.gz: 5824824f02584f6f8bf3bba55f4987293c9557fe298d2784307fe045d8e66ece
3
+ metadata.gz: 34b516b83e0661841ba388f8e00ee643d574a970212edb86b5a08b79e2452788
4
+ data.tar.gz: 77591489f154df22eefcc7b5a6784f8360a1312912644e8e0b80a7ed471f8510
5
5
  SHA512:
6
- metadata.gz: 0bed934ec252e137a38148de74b65c97773c326ae4d98705dff44677cbc99a21585cdc815cab713ab9c58961bdac435f48e3f8f94a7078f91f5a3c7693d42c82
7
- data.tar.gz: 6502ae63e84479bb798c11857a44a97952a2592ad12215adcb3478737e89f5b61b79a049294a7d6d888405dbd3a11ff970c9fd517594167210f58183edc3c204
6
+ metadata.gz: a77d5d61298f8c6ee9cc577f224e19443af317a909da54b9d09b7e8fdf37bfe18cba66a27b8203a7ac69318090f7de981efc8eb384b59ca266d7841f96bae11e
7
+ data.tar.gz: 05f7bb936003459e8b4b7c25de5c349ff0782b307853377ae20aa40d4a11fa92d4cdb80d42542bf7815c13509ff45b44c343138c21042405c2129f1a10480d6f
@@ -7,7 +7,7 @@ rvm:
7
7
  - 2.3.5
8
8
  - 2.4.2
9
9
  - ruby-head
10
- - jruby-9.1.14.0
10
+ - jruby-9.1.15.0
11
11
  env:
12
12
  global:
13
13
  NOBENCHMARK=1
@@ -65,7 +65,7 @@ module RDoc
65
65
  ##
66
66
  # RDoc version you are using
67
67
 
68
- VERSION = '6.0.0'
68
+ VERSION = '6.0.1'
69
69
 
70
70
  ##
71
71
  # Method visibilities
@@ -178,6 +178,7 @@ class RDoc::Parser::Ruby < RDoc::Parser
178
178
  @size = 0
179
179
  @token_listeners = nil
180
180
  @scanner = RDoc::RipperStateLex.parse(content)
181
+ @content = content
181
182
  @scanner_point = 0
182
183
  @prev_seek = nil
183
184
  @markup = @options.markup
@@ -2067,6 +2068,12 @@ class RDoc::Parser::Ruby < RDoc::Parser
2067
2068
  parse_top_level_statements @top_level
2068
2069
 
2069
2070
  rescue StandardError => e
2071
+ if @content.include?('<%') and @content.include?('%>') then
2072
+ # Maybe, this is ERB.
2073
+ $stderr.puts "\033[2KRDoc detects ERB file. Skips it for compatibility:"
2074
+ $stderr.puts @file_name
2075
+ return
2076
+ end
2070
2077
  bytes = ''
2071
2078
 
2072
2079
  if @scanner_point >= @scanner.size
@@ -8,7 +8,7 @@ end
8
8
  Gem::Specification.new do |s|
9
9
  s.name = "rdoc"
10
10
  s.version = RDoc::VERSION
11
- s.date = "2017-12-05"
11
+ s.date = "2017-12-24"
12
12
 
13
13
  s.authors = [
14
14
  "Eric Hodel",
metadata CHANGED
@@ -1,7 +1,7 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: rdoc
3
3
  version: !ruby/object:Gem::Version
4
- version: 6.0.0
4
+ version: 6.0.1
5
5
  platform: ruby
6
6
  authors:
7
7
  - Eric Hodel
@@ -14,7 +14,7 @@ authors:
14
14
  autorequire:
15
15
  bindir: exe
16
16
  cert_chain: []
17
- date: 2017-12-05 00:00:00.000000000 Z
17
+ date: 2017-12-24 00:00:00.000000000 Z
18
18
  dependencies:
19
19
  - !ruby/object:Gem::Dependency
20
20
  name: rake